List Instagram followers
Fetch followers for an Instagram username.
POST
/
api
/
v1
/
platform
/
scrapers
/
instagram
/
followers
List Instagram followers
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/instagram/followers \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"username": "instagram",
"maxFollowers": 2500.5
}
'const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({username: 'instagram', maxFollowers: 2500.5})
};
fetch('https://developer.thehog.ai/api/v1/platform/scrapers/instagram/followers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/platform/scrapers/instagram/followers"
payload = {
"username": "instagram",
"maxFollowers": 2500.5
}
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"username": "<string>",
"edges": [
{
"seed_username": "<string>",
"follower": {
"username": "<string>",
"instagram_user_id": "<string>",
"display_name": "<string>",
"profile_url": "<string>",
"profile_picture_url": "<string>",
"is_private": true,
"is_verified": true
},
"following": {
"username": "<string>",
"instagram_user_id": "<string>",
"display_name": "<string>",
"profile_url": "<string>",
"profile_picture_url": "<string>",
"is_private": true,
"is_verified": true
}
}
],
"returned_count": 123,
"requested_limit": 123
},
"meta": {
"requestId": "<string>"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b",
"errors": [
{
"property": "body.query",
"message": "query must be a string",
"constraints": {
"isString": "query must be a string"
}
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Insufficient credits.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 502,
"error": "Bad Gateway",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}POST /api/v1/platform/scrapers/instagram/followers
Get followers for an Instagram account.Retrieve followers of a public Instagram account.
Example
curl -X POST https://developer.thehog.ai/api/v1/platform/scrapers/instagram/followers \
-H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
-H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"username": "instagram", "maxFollowers": 100}'
Authorizations
The public API key from the Credentials page.
The API secret shown when the credential is created.
Body
application/json
⌘I
List Instagram followers
curl --request POST \
--url https://developer.thehog.ai/api/v1/platform/scrapers/instagram/followers \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"username": "instagram",
"maxFollowers": 2500.5
}
'const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({username: 'instagram', maxFollowers: 2500.5})
};
fetch('https://developer.thehog.ai/api/v1/platform/scrapers/instagram/followers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/v1/platform/scrapers/instagram/followers"
payload = {
"username": "instagram",
"maxFollowers": 2500.5
}
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {
"username": "<string>",
"edges": [
{
"seed_username": "<string>",
"follower": {
"username": "<string>",
"instagram_user_id": "<string>",
"display_name": "<string>",
"profile_url": "<string>",
"profile_picture_url": "<string>",
"is_private": true,
"is_verified": true
},
"following": {
"username": "<string>",
"instagram_user_id": "<string>",
"display_name": "<string>",
"profile_url": "<string>",
"profile_picture_url": "<string>",
"is_private": true,
"is_verified": true
}
}
],
"returned_count": 123,
"requested_limit": 123
},
"meta": {
"requestId": "<string>"
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b",
"errors": [
{
"property": "body.query",
"message": "query must be a string",
"constraints": {
"isString": "query must be a string"
}
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Insufficient credits.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 502,
"error": "Bad Gateway",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}